summaryrefslogtreecommitdiff
path: root/SEL/run-fgbs24a.sh
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-03-08 16:46:01 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-03-08 16:46:01 +0100
commitba723e79d5c426fb4bc899b869bc0b497e72a152 (patch)
tree7a2c18a932334758c4c6e27213237f02276a941d /SEL/run-fgbs24a.sh
parent647f975a38816f025c5758de931e2b698ba1244e (diff)
SEL: introduce alloc/load/free overhead parameters; vary them for fgbs24a
Diffstat (limited to 'SEL/run-fgbs24a.sh')
-rwxr-xr-xSEL/run-fgbs24a.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/SEL/run-fgbs24a.sh b/SEL/run-fgbs24a.sh
index 079ec3f..cb9ef43 100755
--- a/SEL/run-fgbs24a.sh
+++ b/SEL/run-fgbs24a.sh
@@ -4,6 +4,8 @@ set -e
mkdir -p $(hostname)
+ts=$(date +%Y%m%d)
+
# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
# T: data type
# -w: number of un-timed warmup iterations
@@ -16,14 +18,16 @@ echo "prim-benchmarks SEL (dfatool fgbs24a edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# >2048 is not in upstream
-for nr_dpus in 2543 2304 2048; do
+for nr_dpus in 2304 2048 2543; do
for nr_tasklets in 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 251658240 -x 1 || true
fi
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 WITH_ALLOC_OVERHEAD=1 WITH_LOAD_OVERHEAD=1 WITH_FREE_OVERHEAD=1; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 251658240 -x 1 || true
+ fi
done
done
echo "Completed at $(date)"
-) | tee "$(hostname)/fgbs24a.txt"
+) | tee "$(hostname)/${ts}-fgbs24a.txt"